org.apache.cassandra.streaming

## Class StreamRequest

- java.lang.Object
- - org.apache.cassandra.streaming.StreamRequest

-     public class StreamRequest
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamRequest.StreamRequestSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Collection<java.lang.String>` | `columnFamilies`
    `java.lang.String` | `keyspace`
    `java.util.Collection<Range<Token>>` | `ranges`
    `long` | `repairedAt`
    `static IVersionedSerializer<StreamRequest>` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamRequest(java.lang.String keyspace, java.util.Collection<Range<Token>> ranges, java.util.Collection<java.lang.String> columnFamilies, long repairedAt)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<StreamRequest> serializer

    - #### keyspace

          public final java.lang.String keyspace

    - #### ranges

          public final java.util.Collection<Range<Token>> ranges

    - #### columnFamilies

          public final java.util.Collection<java.lang.String> columnFamilies

    - #### repairedAt

          public final long repairedAt

  - ### Constructor Detail

    - #### StreamRequest

          public StreamRequest(java.lang.String keyspace,
                               java.util.Collection<Range<Token>> ranges,
                               java.util.Collection<java.lang.String> columnFamilies,
                               long repairedAt)

Copyright © 2018 The Apache Software Foundation